Bug 891173 - nodejs-opener - Opens stuff, like webpages and files and executables
nodejs-opener - Opens stuff, like webpages and files and executables
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 891171
  Show dependency treegraph
 
Reported: 2013-01-02 02:54 EST by T.C. Hollingsworth
Modified: 2013-04-05 19:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-24 19:01:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mhroncok: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-01-02 02:54:00 EST

    
Comment 1 T.C. Hollingsworth 2013-01-02 03:05:30 EST
Spec: http://patches.fedorapeople.org/npm/opener.spec
SRPM: http://patches.fedorapeople.org/npm/opener-1.3.0-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4830931
FAS username: patches

Opens stuff, like webpages and files and executables, cross-platform.

This package is part of the npm stack and a future F19 Feature for Node.js.

This package may depend on other packages in the npm stack that aren't explicitly
listed as dependencies of this bug.  For more information, see bug 891171.

Please use nodejs-0.6.5-3 or later when building or using this package.
Comment 2 Michael Scherer 2013-01-06 09:27:06 EST
Shouldn't it be called nodejs-opener ?
Comment 3 T.C. Hollingsworth 2013-01-10 03:46:43 EST
(In reply to comment #2)
> Shouldn't it be called nodejs-opener ?

Well this ships a binary you can call, so that's why I didn't prefix it, but this one could go either way, really.  Probably should add nodejs- since it's kind of generic.

Anyway, here's the fixed version for %build, etc for now:
Spec: http://patches.fedorapeople.org/npm/opener.spec
SRPM: http://patches.fedorapeople.org/npm/opener-1.3.0-2.fc17.src.rpm
Comment 4 Miro Hrončok 2013-01-17 06:49:37 EST
TODO: Consider adding something about node.js to the Summary and/or Description. As there is no nodejs- prefix in the name.

About the name: As there are not yet any usable guidelines, I don't know where the application group starts. There were packages in this scope with executable (notably nodejs-which), but they used the nodejs prefix. I suppose the question is: Will anyone need to install this package not as a dependency, but as an app to use? If yes, I am OK with no prefix. If not, I suppose, there should be a prefix.

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

$ rpmlint ../SRPMS/opener-1.3.0-2.fc18.src.rpm ../RPMS/noarch/opener-1.3.0-2.fc18.noarch.rpm
opener.src: W: spelling-error Summary(en_US) webpages -> web pages, web-pages, passages
opener.src: W: spelling-error Summary(en_US) executables -> executable, executable s, executrices
opener.src: W: spelling-error %description -l en_US webpages -> web pages, web-pages, passages
opener.src: W: spelling-error %description -l en_US executables -> executable, executable s, executrices
opener.noarch: W: spelling-error Summary(en_US) webpages -> web pages, web-pages, passages
opener.noarch: W: spelling-error Summary(en_US) executables -> executable, executable s, executrices
opener.noarch: W: spelling-error %description -l en_US webpages -> web pages, web-pages, passages
opener.noarch: W: spelling-error %description -l en_US executables -> executable, executable s, executrices
opener.noarch: W: only-non-binary-in-usr-lib
opener.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/opener-1.3.0/LICENSE.txt
opener.noarch: E: non-executable-script /usr/lib/node_modules/opener/opener.js 0644L /usr/bin/env
opener.noarch: W: no-manual-page-for-binary opener
2 packages and 0 specfiles checked; 1 errors, 11 warnings.

FIX: wrong-file-end-of-line-encoding
FIX: non-executable-script
TODO: no-manual-page-for-binary

All false positives.

MUST: The package must be named according to the Package Naming Guidelines. ????
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK
MUST: The package must meet the Packaging Guidelines. OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license.

Checked in LICENSE.txt, WTFPL. OK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK
MUST: The spec file must be written in American English. OK
MUST: The spec file for the package MUST be legible. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

$ sha256sum ../SOURCES/opener-1.3.0.tgz 
8ce1113b83487849625156d72483e4eef7b8eebf63a9e8d7732df15c240efa06  ../SOURCES/opener-1.3.0.tgz
$ spectool -g opener.spec 
Getting http://registry.npmjs.org/opener/-/opener-1.3.0.tgz to ./opener-1.3.0.tgz
$ sha256sum opener-1.3.0.tgz 
8ce1113b83487849625156d72483e4eef7b8eebf63a9e8d7732df15c240efa06  opener-1.3.0.tgz

OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. OK, builds in mock
MUST: Packages must NOT bundle copies of system libraries. OK
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
MUST: Permissions on files must be set properly.

$ rpm -q -lv -p ../RPMS/noarch/opener-1.3.0-2.fc18.noarch.rpm 
lrwxrwxrwx    1 root    root                       36 led 17 12:37 /usr/bin/opener -> ../lib/node_modules/opener/opener.js
drwxr-xr-x    2 root    root                        0 led 17 12:37 /usr/lib/node_modules/opener
-rw-r--r--    1 root    root                      967 zář 13 16:15 /usr/lib/node_modules/opener/README.md
-rw-r--r--    1 root    root                     1907 zář 13 16:15 /usr/lib/node_modules/opener/opener.js
-rw-r--r--    1 root    root                      607 zář 13 16:15 /usr/lib/node_modules/opener/package.json
drwxr-xr-x    2 root    root                        0 led 17 12:37 /usr/share/doc/opener-1.3.0
-rw-r--r--    1 root    root                      515 zář 13 16:15 /usr/share/doc/opener-1.3.0/LICENSE.txt

Permissions OK.

FIX: Move README.md to the %doc, or tell me, if it is a run time dependency.

MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. OK
MUST: Packages must not own files or directories already owned by other packages. OK
MUST: All filenames in rpm packages must be valid UTF-8. OK
SHOULD: The reviewer should test that the package builds in mock. OK
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. OK

Package NEEDSWORK.

Please solve the FIXes, consider solving TODOs and let me know about the name.
Comment 5 T.C. Hollingsworth 2013-01-18 04:48:05 EST
I have decided to rename this to "nodejs-opener".  The other identified issues have also been fixed.


Spec: http://patches.fedorapeople.org/npm/nodejs-opener.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-opener-1.3.0-3.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4880182
Comment 6 Miro Hrončok 2013-01-18 10:11:18 EST
$ rpmlint ../SRPMS/nodejs-opener-1.3.0-3.fc18.src.rpm ../RPMS/noarch/nodejs-opener-1.3.0-3.fc18.noarch.rpm
nodejs-opener.src: W: spelling-error Summary(en_US) webpages -> web pages, web-pages, passages
nodejs-opener.src: W: spelling-error Summary(en_US) executables -> executable, executable s, executrices
nodejs-opener.src: W: spelling-error %description -l en_US webpages -> web pages, web-pages, passages
nodejs-opener.src: W: spelling-error %description -l en_US executables -> executable, executable s, executrices
nodejs-opener.noarch: W: spelling-error Summary(en_US) webpages -> web pages, web-pages, passages
nodejs-opener.noarch: W: spelling-error Summary(en_US) executables -> executable, executable s, executrices
nodejs-opener.noarch: W: spelling-error %description -l en_US webpages -> web pages, web-pages, passages
nodejs-opener.noarch: W: spelling-error %description -l en_US executables -> executable, executable s, executrices
nodejs-opener.noarch: W: only-non-binary-in-usr-lib
nodejs-opener.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/nodejs-opener-1.3.0/README.md
nodejs-opener.noarch: W: no-manual-page-for-binary opener
2 packages and 0 specfiles checked; 0 errors, 11 warnings.

> FIX: wrong-file-end-of-line-encoding LICENSE.txt
Fixed.

> FIX: non-executable-script
Fixed.

FIX: wrong-file-end-of-line-encoding README.md

$ rpm -q -lv -p ../RPMS/noarch/nodejs-opener-1.3.0-3.fc18.noarch.rpm
lrwxrwxrwx    1 root    root                       36 led 18 16:07 /usr/bin/opener -> ../lib/node_modules/opener/opener.js
drwxr-xr-x    2 root    root                        0 led 18 16:07 /usr/lib/node_modules/opener
-rwxr-xr-x    1 root    root                     1907 zář 13 16:15 /usr/lib/node_modules/opener/opener.js
-rw-r--r--    1 root    root                      607 zář 13 16:15 /usr/lib/node_modules/opener/package.json
drwxr-xr-x    2 root    root                        0 led 18 16:07 /usr/share/doc/nodejs-opener-1.3.0
-rw-r--r--    1 root    root                      501 led 18 16:07 /usr/share/doc/nodejs-opener-1.3.0/LICENSE.txt
-rw-r--r--    1 root    root                      967 zář 13 16:15 /usr/share/doc/nodejs-opener-1.3.0/README.md

OK

Package NEEDSWORK: wrong-file-end-of-line-encoding README.md
Comment 8 Miro Hrončok 2013-01-19 08:36:41 EST
Package APPROVED.
Comment 9 T.C. Hollingsworth 2013-01-20 02:27:49 EST
New Package SCM Request
=======================
Package Name: npm
Short Description: Node.js package manager
Owners: patches
Branches: f18 el6
InitialCC:
Comment 10 T.C. Hollingsworth 2013-01-20 02:36:44 EST
Oops, wrong tab.

New Package SCM Request
=======================
Package Name: nodejs-opener
Short Description: Opens stuff, like webpages and files and executables
Owners: patches
Branches: f18 el6
InitialCC:
Comment 11 Jon Ciesla 2013-01-22 09:10:44 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-01-24 19:22:46 EST
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18, node-gyp-0.8.2-3.fc18, nodejs-tar-0.1.14-3.fc18, npm-1.2.1-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-semver-1.1.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-0775/npm-1.2.1-2.fc18,nodejs-abbrev-1.0.4-2.fc18,nodejs-ansi-0.1.2-4.fc18,nodejs-async-0.1.22-3.fc18,nodejs-glob-3.1.14-2.fc18,nodejs-inherits-1.0.0-6.fc18,nodejs-graceful-fs-1.1.14-2.fc18,nodejs-minimatch-0.2.9-2.fc18,nodejs-mkdirp-0.3.4-2.fc18,nodejs-mute-stream-0.0.3-3.fc18,nodejs-read-1.0.4-4.fc18,nodejs-read-installed-0.0.4-2.fc18,nodejs-read-package-json-0.1.12-2.fc18,nodejs-retry-0.6.0-2.fc18,nodejs-rimraf-2.1.1-2.fc18,nodejs-slide-1.1.3-4.fc18,nodejs-uid-number-0.0.3-4.fc18,nodejs-sigmund-1.0.0-2.fc18,nodejs-osenv-0.0.3-2.fc18,nodejs-nopt-2.0.0-3.fc18,nodejs-lru-cache-2.2.1-2.fc18,nodejs-mime-1.2.7-2.fc18,nodejs-init-package-json-0.0.7-3.fc18,nodejs-fstream-0.1.21-3.fc18,nodejs-delayed-stream-0.0.5-2.fc18,nodejs-proto-list-1.2.2-2.fc18,nodejs-npm-registry-client-0.2.11-2.fc18,nodejs-form-data-0.0.6-2.fc18,nodejs-which-1.0.5-4.fc18,nodejs-chownr-0.0.1-6.fc18,nodejs-opts-1.2.2-2.fc18,nodejs-yamlish-0.0.5-1.fc18,nodejs-once-1.1.1-2.fc18,nodejs-lockfile-0.2.1-2.fc18,nodejs-ini-1.0.5-2.fc18,nodejs-couch-login-0.1.15-2.fc18,nodejs-archy-0.0.2-5.fc18,nodejs-block-stream-0.0.6-4.fc18,nodejs-config-chain-1.1.3-3.fc18,nodejs-fstream-npm-0.1.3-2.fc18,nodejs-npmconf-0.0.16-3.fc18,nodejs-npmlog-0.0.2-2.fc18,nodejs-charm-0.1.0-1.fc18,node-gyp-0.8.2-3.fc18,nodejs-tar-0.1.14-3.fc18,nodejs-opener-1.3.0-4.fc18,nodejs-semver-1.1.2-1.fc18
Comment 13 Fedora Update System 2013-04-05 19:17:26 EDT
node-gyp-0.9.1-2.fc18, nodejs-async-0.2.6-1.fc18, nodejs-chmodr-0.1.0-2.fc18, nodejs-fstream-npm-0.1.4-1.fc18, nodejs-glob-3.1.21-1.fc18, nodejs-minimatch-0.2.11-1.fc18, nodejs-mkdirp-0.3.5-1.fc18, nodejs-npm-registry-client-0.2.18-2.fc18, nodejs-read-package-json-0.2.2-1.fc18, nodejs-request-2.14.0-1.fc18, nodejs-semver-1.1.4-1.fc18, npm-1.2.14-2.fc18, nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-tar-0.1.16-1.fc18, nodejs-form-data-0.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.